# QItemSelection Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QItemSelection()
- void QItemSelection(QModelIndex topLeft, QModelIndex bottomRight)

### Constructor Properties

- prototype: The QItemSelection prototype object
- List fromVector(List vector)
- void split(QItemSelectionRange range, QItemSelectionRange other, QItemSelection result)

### Prototype Object Properties

- void append(QItemSelectionRange t)
- QItemSelectionRange at(int i)
- QItemSelectionRange back()
- void clear()
- bool contains(QModelIndex index)
- int count()
- void detachShared()
- bool empty()
- bool endsWith(QItemSelectionRange t)
- QItemSelectionRange first()
- QItemSelectionRange front()
- int indexOf(QItemSelectionRange t, int from)
- List indexes()
- bool isEmpty()
- bool isSharedWith(List other)
- QItemSelectionRange last()
- int lastIndexOf(QItemSelectionRange t, int from)
- int length()
- void merge(QItemSelection other, SelectionFlags command)
- List mid(int pos, int length)
- void move(int from, int to)
- bool operator_equal(List l)
- void pop_back()
- void pop_front()
- void prepend(QItemSelectionRange t)
- void push_back(QItemSelectionRange t)
- void push_front(QItemSelectionRange t)
- int removeAll(QItemSelectionRange t)
- void removeAt(int i)
- void removeFirst()
- void removeLast()
- bool removeOne(QItemSelectionRange t)
- void replace(int i, QItemSelectionRange t)
- void reserve(int size)
- void select(QModelIndex topLeft, QModelIndex bottomRight)
- void setSharable(bool sharable)
- int size()
- bool startsWith(QItemSelectionRange t)
- void swap(List other)
- QItemSelectionRange takeAt(int i)
- QItemSelectionRange takeFirst()
- QItemSelectionRange takeLast()
- List toVector()
- QItemSelectionRange value(int i)

### Instance Properties

QItemSelection objects have no special properties beyond those inherited from the QItemSelection prototype object.